Skip to content

List template descriptors

Request

Security
oauth2(Required scopes: communicator.template:read) or bearerAuth or apiKeyHeader
Query
limitinteger, [ 1 .. 100 ]

The maximum count of results to retrieve.

Default:25
startingAfterstring

Return results starting after the provided object identifier.

endingBeforestring

Return results ending before the provided object identifier.

companyIdstring(CompanyId)CP-[A-Z0-9]{4}-[A-Z0-9]{4}

The Company ID by which to filter.

Example:companyId=CP-AAAA-BBBB
GET
/communicator/templatedescriptors
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/communicator/templatedescriptors?limit=25&startingAfter=string&endingBefore=string&companyId=CP-AAAA-BBBB' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
Array [
activeVersionIdstring or null(ActiveTemplateVersionId)TV-[A-Z0-9]{4}-[A-Z0-9]{4}

The ID of the active version of the template. This is the version that will be used when rendering the template.

Example:"TV-AAAA-BBBB"
companyIdstring(CompanyId)CP-[A-Z0-9]{4}-[A-Z0-9]{4}
Example:"CP-AAAA-BBBB"
idstring(TemplateDescriptorId)TD-[A-Z0-9]{4}-[A-Z0-9]{4}

ID of the Template Descriptor

Example:"TD-AAAA-BBBB"
channelstring or null(InteractionChannel)

The channel where interactions with a borrower occur. For example, an outbound call with a borrower is considered a voice interaction.

DEPRECATED: The fax channel is deprecated: new interactions cannot be created with the fax channel. It will be removed from completely in the future.

Enum:"voice""email""fax""text""chat""mail""gui""document"
enabledboolean

If true, then this template is disabled. Attempts to send messages with this template will be rejected. (Return 400 responses from the API.)

Default:true
languagestring, = 2 characters(language)

The ISO 639-1 two character code of the email language.

Default:"en"
Example:"en"
namestring, [ 1 .. 100 ]

An optional human-friendly name for templates. Only the Custom1-Custom100 family of subjects can have a custom name.

productIdstring or null(LoanTypeIdNullable)LT-[A-Z0-9]{4}-[A-Z0-9]{4}

The Loan Type ID to which this template is associated. By configuring a Loan Type for a Template Descriptor it is possible to use completely different templates for different types of loans.

Example:"LT-AAAA-BBBB"
sensitiveboolean

If true, then all interactions and documents created from this template will have the sensitive field set to true. Such interaction and documents cannot have their content viewed except with a special permission (interaction:read.sensitive).

Usually this would be used to prevent employees without need to access private information from accessing it.

Default:false
subjectInteractionSubject (string) or string(TemplateSubject)
Any of:

The subject of the interaction. The subject identifies the category of the content in the message.

Most subjects have an associated implicit theme. e.g., loanOverdueFirstNotice has a theme of opsCollDebt. For these subjects it is not necessary to specify a theme.

Some subjects like freeForm and custom<N> do not have an implicit theme. When using these subjects you must specify a theme.

DEPRECATED: locStatementGenerated and locStatementRegenerated are deprecated. They will be automatically converted into statementGenerated and statementRegenerated respectively. You should switch to use those subjects directly.

DEPRECATED: failedSettlementPeach is deprecated. This was always a subject used by the Peach application internally, and will no longer be used. Attempts to set this subject will be rejected with a 400 error.

string(InteractionSubject)
Enum:"annualPrivacyPolicyNotice""autopayAgreement""autopayAmountChanged""autopayCanceledBySystem""autopayEnabled""autopayEnableReminder""autopayPaymentCanceled""autopayPaymentMethodUpdated""autopayPaymentReminder""autopayPaymentRescheduled"
]
Response
[ { "activeVersionId": "string", "companyId": "CP-AAAA-BBBB", "id": "TD-AAAA-BBBB", "channel": "voice", "enabled": true, "language": "en", "name": "string", "productId": "LT-AAAA-BBBB", "sensitive": false, "subject": "annualPrivacyPolicyNotice" } ]